Creates a new equipment_family object

Request Information

URI Parameters :

None.

Body Parameters :

equipment_family
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier

Required

name

Name of the equipment family

string

Required

Max length: 50

description

Description of the equipment family

string

Max length: 4000

code

The Id/Ref of the back office. Used by Embedded entity

string

Max length: 50

_parent_id

Parent Equipment Family (Parent / Child) when adding/updating equipment_family

globally unique identifier
_parent_code

Embedded entity "equipment_family" for parent (Parent / Child) using ERP PK when adding/updating equipment_family

string
_parent_equipment_family

Embedded entity "equipment_family" for parent (Parent / Child) when adding/updating equipment_family

equipment_family
sales_organization_id

FK of sales_organization. Filled if specific of one SO, empty if can be used by all

globally unique identifier
sales_organization_code

Embedded entity "sales_organization" using ERP PK when adding/updating company_type

string
sales_organization

Embedded entity "sales_organization" when adding/updating company_type

sales_organization
modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date

Request Formats :

application/json, text/json

Sample:
{
  "id": "ff6c1dc1-0faa-4db0-85ae-863434be9000",
  "name": "sample string 2",
  "description": "sample string 3",
  "code": "sample string 4",
  "_parent_id": "d2f84f4d-5f91-42c6-9dc7-2d51a2e74499",
  "_parent_code": "sample string 6",
  "sales_organization_id": "c15dc2c6-b71f-4c04-9330-3f4a4a9cf7ea",
  "sales_organization_code": "sample string 8",
  "sales_organization": {
    "id": "700aa183-1c3b-4cdc-9697-0ded20fa84ae",
    "code": "sample string 2",
    "name": "sample string 3",
    "description": "sample string 4",
    "db_country_id": "b8209e2f-4d28-4de6-9111-50be80cf6451",
    "db_currency_id": "1122f953-cf6c-4557-a31e-2232a01e174d",
    "db_language_id": "1d4e54f2-fff9-4211-8a19-b3b3b57e25b3",
    "accountancy_code": "sample string 8",
    "archived": true,
    "default_unit_of_measure_system_type": "sample string 10",
    "street": "sample string 11",
    "street2": "sample string 12",
    "street_number": "sample string 13",
    "zip": "sample string 14",
    "city": "sample string 15",
    "email": "sample string 16",
    "phone": "sample string 17",
    "fax": "sample string 18",
    "url": "sample string 19",
    "vat_reg_code": "sample string 20",
    "modified_dateutc": "2026-06-09T22:11:09.1601409+00:00"
  },
  "modified_dateutc": "2026-06-09T22:11:09.1601409+00:00"
}

Response Information

Resource Description :

IHttpActionResult

None.

Response Formats

application/json, text/json

Sample:

Sample not available.